Does GWT 1.7 and 2.0 work with IDEA 7.0.5?

I've been doing GWT development in Eclipse, and wanted to try using IDEA, which is my usual Java development environment. Is it possible to develop with GWT 1.7 and 2.0 in IDEA 7.0.5?  In searching for information about writing GWT programs with IDEA, I ran across something that said releases beyond GWT 1.5 wouldn't work in version 7 of IDEA. I've spent about 30 minutes with no success trying to get a little GWT 1.7 program that simply generates a popup to work using IDEA 7.0.5, and I don't know if the problem is me or if this simply can't be done. Thanks.

2 comments
Comment actions Permalink

OK, my little GWT 1.7 program now works with IDEA. The problem was subtle, little differences between Eclipse and IDEA when it comes to xml and html tags. I had copied some xml and html files from the working Eclipse GWT program and pasted them into IDEA, and found that I needed to reformat the tags a bit to get the program to work in IDEA.

GWT 2.0 didn't work, though. Does anyone know if it's a waste of time to trying to get a GWT 2.0 program to run with IDEA 7.0.5?

0
Comment actions Permalink

GWT 2.0 wasn't supported in IDEA 7.x. You need IDEA 9 to work with GWT 2.0 projects.

OK, my little GWT 1.7 program now works with IDEA. The problem was subtle, little differences between Eclipse and IDEA when it comes to xml and html tags. I had copied some xml and html files from the working Eclipse GWT program and pasted them into IDEA, and found that I needed to reformat the tags a bit to get the program to work in IDEA.

GWT 2.0 didn't work, though. Does anyone know if it's a waste of time to trying to get a GWT 2.0 program to run with IDEA 7.0.5?

---
Original message URL: http://www.jetbrains.net/devnet/message/5253562#5253562



--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0

Please sign in to leave a comment.